Page MenuHomePhabricator

[minor] Help panel CTA size inconsistent between reading and editor context
Closed, ResolvedPublicBUG REPORT

Description

In the namespaces where Help panel is enabled in reading context, the Help panel has a smaller size (e.g. 188x32):

When a user switches to editing - the Help panel size increases to 215x36:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2019, 11:25 PM
Etonkovidova renamed this task from Help panel size inconsistent between reading and editor context to [minor] Help panel size inconsistent between reading and editor context.Mar 4 2019, 11:26 PM

Hey @MMiller_WMF I am placing this in your column to decide what you would like to do with it.

@JTannerWMF -- I think we should work on this bug. I realize now that I had been noticing it, too, but couldn't put my finger on what it was. Perhaps we can discuss in Grooming meeting tomorrow where it should go.

kostajh renamed this task from [minor] Help panel size inconsistent between reading and editor context to [minor] Help panel CTA size inconsistent between reading and editor context.Mar 13 2019, 5:25 PM
kostajh changed the subtype of this task from "Task" to "Bug Report".

font-size is what makes the difference here. Reading has 14px and edit has 16px. Which one do we want?

@SBisson -- we prefer the editing experience: 16px.

Change 497955 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Make cta the same size in reading and edit modes

https://gerrit.wikimedia.org/r/497955

SBisson claimed this task.Mar 20 2019, 11:47 PM
SBisson moved this task from In Progress to Code Review on the Growth-Team (Current Sprint) board.

Change 497955 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Make cta the same size in reading and edit modes

https://gerrit.wikimedia.org/r/497955

Etonkovidova closed this task as Resolved.Mar 22 2019, 11:41 PM

@Etonkovidova @SBisson -- I still see this inconsistency in size in production. Do I need to clear my cache or something?

It won't be in production wikis until Thursday. Do you see inconsistent sizes on beta?

@Etonkovidova @SBisson -- I still see this inconsistency in size in production. Do I need to clear my cache or something?

The patch was merged Thursday last week. It will be on our target wikis Thursday this week but it should be on testwiki later today.

Okay, sorry, I didn't know it was riding the train. This sounds fine.